---

#! /zdci/db/releases/20250614192616/lkp-src/jobs/kvm-unit-tests.yaml
suite: kvm-unit-tests
testcase: kvm-unit-tests
category: functional
kernel_cmdline: kvm.enable_vmware_backdoor=Y
kvm-unit-tests:
job_origin: kvm-unit-tests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-spr-2sp1
tbox_group: lkp-spr-2sp1
job_file: "/lkp/jobs/scheduled/lkp-spr-2sp1/kvm-unit-tests-defaults-debian-12-x86_64-20240206.cgz-4f0f45b2edda-20250624-174453-1nznpvx-0.yaml"
id: 7dfc30ecdd5918d6248f740aba48a557a3d502f1
queuer_version: "/zday/lkp"

#! /zdci/db/releases/20250614192616/lkp-src/hosts/lkp-spr-2sp1
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 256G
nr_ssd_partitions: 6
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402ZX4P0IGN-part*"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T8_BTLJ207201DG1P0FGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x777fe014
brand: Intel(R) Xeon(R) Platinum 8480+
ucode: '0x90000c0'

#! /zdci/db/releases/20250614192616/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20250614192616/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20250614192616/lkp-src/programs/kvm-unit-tests/include
need_kconfig:
- KVM: m
- KVM_INTEL: m
- X86_INTEL_TSX_MODE_OFF: "n"
- X86_INTEL_TSX_MODE_AUTO: "y"
- X86_INTEL_TSX_MODE_ON: "n"

#! /zdci/db/releases/20250614192616/lkp-src/include/queue/cyclic
commit: 4f0f45b2eddaf5c476302a35cae8962fc3142419
kconfig: x86_64-rhel-9.4-func
enqueue_time: 2025-06-24 01:42:27.821214423 +08:00
_rt: "/result/kvm-unit-tests/defaults/lkp-spr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/4f0f45b2eddaf5c476302a35cae8962fc3142419"
compiler: gcc-12
head_commit: 16b7c47cb518aec2dcd5e107f90988a1555575a9
base_commit: 19272b37aa4f83ca52bdf9c16d5d81bdd1354494
branch: linux-devel/devel-hourly-20250615-142309
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250620-202235"
arch: x86_64
max_uptime: 1200
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kvm-unit-tests/defaults/lkp-spr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/4f0f45b2eddaf5c476302a35cae8962fc3142419/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-func/gcc-12/4f0f45b2eddaf5c476302a35cae8962fc3142419/vmlinuz-6.16.0-rc1-00024-g4f0f45b2edda
- branch=linux-devel/devel-hourly-20250615-142309
- job=/lkp/jobs/scheduled/lkp-spr-2sp1/kvm-unit-tests-defaults-debian-12-x86_64-20240206.cgz-4f0f45b2edda-20250624-174453-1nznpvx-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-func
- commit=4f0f45b2eddaf5c476302a35cae8962fc3142419
- kvm.enable_vmware_backdoor=Y
- intremap=posted_msi
- acpi_rsdp=0x777fe014
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/4f0f45b2eddaf5c476302a35cae8962fc3142419/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kvm-unit-tests_20250606.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kvm-unit-tests-x86_64-50761232-1_20250606.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250621222227/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-2sp1/kvm-unit-tests-defaults-debian-12-x86_64-20240206.cgz-4f0f45b2edda-20250624-174453-1nznpvx-0.cgz"
last_kernel: 5.9.0-2-amd64

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/4f0f45b2eddaf5c476302a35cae8962fc3142419/vmlinuz-6.16.0-rc1-00024-g4f0f45b2edda"
result_root: "/result/kvm-unit-tests/defaults/lkp-spr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/4f0f45b2eddaf5c476302a35cae8962fc3142419/0"
user: lkp
dequeue_time: 2025-06-24 03:12:30.928909486 +08:00
job_state: finished
loadavg: 1.22 0.53 0.20 1/2048 16362
start_time: '1750706051'
end_time: '1750706114'
version: "/lkp/lkp/.src-20250620-202235:a0b53a5e2db9:a7927d3597f7"
